
Smart Proxy - Support #21226

Can't able to delete hosts after upgrade to 1.14

10/05/2017 04:10 PM - Bhanu Prasad Ganguru

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Triaged:  Found in Releases: 1.14.3

Fixed in Releases:    

Description

Hi,

we are having some issues with smart-proxy infoblox plugin after upgrading to version 1.14.3 from 1.13.0

This is the error we're seeing

Oops, we're sorry but something went wrong Failed to destroy the record

And getting other error messages like

[2017-10-05T15:11:16.695348 ] ERROR -- : 757: unexpected token at '<HTML><HEAD><META HTTP-EQUIV="R

EFRESH" CONTENT = "0; URL=https://10.118.160.6"/></HEAD><BODY BGCOLOR="FFFFFF">Click <A HREF="http

s://10.118.160.6">here</A> if page does not refresh in 10 seconds.</BODY></HTML>

 
ERF12-1261 [ProxyAPI::ProxyException]: Unable to set dns entry ([RestClient::BadRequest]: 400 Bad 

Request) for proxy https://foreman.rc.hms.harvard.edu:8443/dns

 Full trace from api

ActiveRecord::RecordNotDestroyed

Failed to destroy the record

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/persistence.rb:

185:in `destroy!'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/associations/ha

s_many_association.rb:171:in `each'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/associations/ha

s_many_association.rb:171:in `delete_records'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/associations/co

llection_association.rb:525:in `remove_records'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/associations/co

llection_association.rb:518:in `block in delete_or_destroy'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/associations/co

llection_association.rb:183:in `block in transaction'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adap

ters/abstract/database_statements.rb:211:in `transaction'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions.rb

:220:in `transaction'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/associations/co

llection_association.rb:182:in `transaction'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/associations/co

llection_association.rb:518:in `delete_or_destroy'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/associations/co

llection_association.rb:279:in `destroy'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/associations/co

llection_association.rb:223:in `destroy_all'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/associations/ha

s_many_association.rb:27:in `handle_dependency'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/associations/bu

ilder/association.rb:146:in `block in add_destroy_callbacks'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

448:in `instance_exec'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

448:in `block in make_lambda'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

164:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

164:in `block in halting'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

504:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

504:in `block in call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

504:in `each'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

504:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

92:in `__run_callbacks__'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

778:in `_run_destroy_callbacks'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/callbacks.rb:29

2:in `destroy'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions.rb

:281:in `block in destroy'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions.rb

:351:in `block in with_transaction_returning_status'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adap

ters/abstract/database_statements.rb:213:in `block in transaction'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adap

ters/abstract/transaction.rb:184:in `within_new_transaction'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adap

ters/abstract/database_statements.rb:213:in `transaction'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions.rb

:220:in `transaction'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions.rb

:348:in `with_transaction_returning_status'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions.rb

:281:in `destroy'

/usr/share/foreman/app/controllers/hosts_controller.rb:129:in `destroy'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/implici

t_render.rb:4:in `send_action'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:198

:in `process_action'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/renderi

ng.rb:10:in `process_action'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callbacks.r

b:20:in `block in process_action'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

117:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

117:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

555:in `block (2 levels) in compile'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

505:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

505:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

498:in `block (2 levels) in around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

313:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

313:in `block (2 levels) in halting'

/opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_cont

roller/caching/sweeping.rb:73:in `around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

455:in `public_send'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

455:in `block in make_lambda'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

312:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

312:in `block in halting'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

497:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

497:in `block in around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

505:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

505:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

498:in `block (2 levels) in around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

313:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

313:in `block (2 levels) in halting'

/usr/share/foreman/app/controllers/concerns/application_shared.rb:14:in `set_timezone'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

432:in `block in make_lambda'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

312:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

312:in `block in halting'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

497:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

497:in `block in around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

505:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

505:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

498:in `block (2 levels) in around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

313:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

313:in `block (2 levels) in halting'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

432:in `block in make_lambda'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

312:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

312:in `block in halting'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

497:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

497:in `block in around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

505:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

505:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

498:in `block (2 levels) in around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

313:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

313:in `block (2 levels) in halting'

/opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_cont

roller/caching/sweeping.rb:73:in `around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

455:in `public_send'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:
455:in `block in make_lambda'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

312:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

312:in `block in halting'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

497:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

497:in `block in around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

505:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

505:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

92:in `__run_callbacks__'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

778:in `_run_process_action_callbacks'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

81:in `run_callbacks'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callbacks.r

b:19:in `process_action'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rescue.

rb:29:in `process_action'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/instrum

entation.rb:32:in `block in process_action'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications

.rb:164:in `block in instrument'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications

/instrumenter.rb:20:in `instrument'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications

.rb:164:in `instrument'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/instrum

entation.rb:30:in `process_action'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/params_

wrapper.rb:250:in `process_action'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/railties/contro

ller_runtime.rb:18:in `process_action'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:137

:in `process'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionview-4.2.5.1/lib/action_view/rendering.rb:30:in 

`process'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:196:

in `dispatch'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rack_de

legation.rb:13:in `dispatch'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:237:

in `block in action'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_s

et.rb:74:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_s

et.rb:74:in `dispatch'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_s

et.rb:43:in `serve'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/router.

rb:43:in `block in serve'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/router.

rb:30:in `each'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/router.

rb:30:in `serve'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_s

et.rb:815:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.7/lib/apipie/static_dispatcher.rb:65

:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.7/lib/apipie/extractor/recorder.rb:1

32:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/stat

ic.rb:116:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.7/lib/apipie/middleware/checksum_in_

headers.rb:27:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/etag.rb:24:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/conditionalget.rb:38:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/head.rb:13:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/para

ms_parser.rb:27:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/flas

h.rb:260:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:225:in `con

text'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:220:in `cal

l'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/cook

ies.rb:560:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/query_cache.rb:

36:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adap

ters/abstract/connection_pool.rb:653:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/call

backs.rb:29:in `block in call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

88:in `__run_callbacks__'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

778:in `_run_call_callbacks'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:

81:in `run_callbacks'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/call

backs.rb:27:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/remo

te_ip.rb:78:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/debu

g_exceptions.rb:17:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/show

_exceptions.rb:30:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:38:in `call_

app'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:22:in `call'

/usr/share/foreman/lib/middleware/tagged_logging.rb:18:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/requ

est_id.rb:21:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/methodoverride.rb:22:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/runtime.rb:18:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/cache/strateg

y/local_cache_middleware.rb:28:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/stat

ic.rb:116:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/sendfile.rb:113:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-3.4.1/lib/secure_headers/middleware.rb

:12:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/engine.rb:518:in `call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/application.rb:165:in `call

'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `public_s

end'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `method_m

issing'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:66:in `block in call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `each'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_ha

ndler_extension.rb:77:in `process_request'

/opt/theforeman/tfm/root/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handle

r/thread_handler.rb:140:in `accept_and_process_next_request'

/opt/theforeman/tfm/root/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handle

r/thread_handler.rb:108:in `main_loop'
/opt/theforeman/tfm/root/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handle

r.rb:441:in `block (3 levels) in start_threads'

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:i

n `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:i

n `block in create_with_logging_context' 

 Any help would be appreciated

Thanks,

Bhanu

History

#1 - 10/09/2017 04:04 AM - Marek Hulán

- Project changed from Foreman to Smart Proxy

- Category deleted (DHCP)

While this is a valid Foreman bug, we should better display error message when something fails on smart proxy, the real cause seems to be

something in proxy or its plugins. Logs from the proxy would be required for further debugging. Moving to Smart Proxy project.

#2 - 10/10/2017 11:37 AM - Bhanu Prasad Ganguru

- File smart_proxy_Oct10_17.log added

Marek,

Thanks for your response

Please find the attached smart-proxy log file

I tried to delete an existing host and then tried to create a new host

In first case it failed completely, whereas in second case it created host but failed to create dns record

And my main question is

we're planning to upgrade to foreman 1.15.3, if we do so all these issues will go away ??

Thanks,

Bhanu

#3 - 10/10/2017 06:13 PM - Anonymous

- Tracker changed from Bug to Support

It's unclear to me what exactly is going on -- an api call from smart-proxy fails on the infoblox side and an html page is returned. It looks like the

infoblox gem is quite old, updating to a newer one might help. We are relying on wapi version 2.0, you may need to update your infoblox install in

case it only supports older versions of wapi.

#4 - 10/12/2017 02:29 PM - Bhanu Prasad Ganguru

Thanks Dmitri,

upgrading infoblox gem definitely helped,

but we're now seeing issues while creating new hosts

foreman is creating dhcp and dns records in infoblox, but for whatever reason foreman thinks dns record is not created

And rolling back creating host

If I login to infoblox, I can see that host A record is created

D, [2017-10-12T10:02:42.779516 ] DEBUG -- : close: 10.120.6.116:42821

D, [2017-10-12T10:02:57.407071 ] DEBUG -- : accept: 10.120.6.116:42834

D, [2017-10-12T10:02:57.410093 ] DEBUG -- : Rack::Handler::WEBrick is invoked.

D, [2017-10-12T10:02:57.410687 ] DEBUG -- : verifying remote client 10.120.6.116 against trusted_hosts ["forem

an.rc.hms.harvard.edu"]

I, [2017-10-12T10:02:57.594199 ]  INFO -- : 10.120.6.116 - - [12/Oct/2017:10:02:57 -0400] "GET /dhcp/10.120.33

.0/unused_ip?from=10.120.33.5&to=10.120.33.243 HTTP/1.1" 200 21 0.1837

D, [2017-10-12T10:02:57.634339 ] DEBUG -- : close: 10.120.6.116:42834

D, [2017-10-12T10:03:27.327230 ] DEBUG -- : accept: 10.120.6.116:42842

D, [2017-10-12T10:03:27.331285 ] DEBUG -- : Rack::Handler::WEBrick is invoked.

D, [2017-10-12T10:03:27.331821 ] DEBUG -- : verifying remote client 10.120.6.116 against trusted_hosts ["forem

an.rc.hms.harvard.edu"]

I, [2017-10-12T10:03:27.332214 ]  INFO -- : 10.120.6.116 - - [12/Oct/2017:10:03:27 -0400] "GET /tftp/serverNam
e HTTP/1.1" 200 17 0.0005

D, [2017-10-12T10:03:27.372265 ] DEBUG -- : close: 10.120.6.116:42842

D, [2017-10-12T10:03:27.402379 ] DEBUG -- : accept: 10.120.6.116:42843

D, [2017-10-12T10:03:27.405068 ] DEBUG -- : Rack::Handler::WEBrick is invoked.

D, [2017-10-12T10:03:27.405718 ] DEBUG -- : verifying remote client 10.120.6.116 against trusted_hosts ["forem

an.rc.hms.harvard.edu"]

D, [2017-10-12T10:03:27.551067 ] DEBUG -- : Added DHCP reservation for 10.120.33.13/00:50:56:a0:27:5d

D, [2017-10-12T10:03:27.551173 ] DEBUG -- : Restarting grid.

I, [2017-10-12T10:03:31.128719 ]  INFO -- : Restarting Grid failed.

I, [2017-10-12T10:03:31.129088 ]  INFO -- : 10.120.6.116 - - [12/Oct/2017:10:03:31 -0400] "POST /dhcp/10.120.3

3.0 HTTP/1.1" 200 - 3.7236

D, [2017-10-12T10:03:31.131056 ] DEBUG -- : close: 10.120.6.116:42843

D, [2017-10-12T10:03:31.158918 ] DEBUG -- : accept: 10.120.6.116:42849

D, [2017-10-12T10:03:31.161275 ] DEBUG -- : Rack::Handler::WEBrick is invoked.

D, [2017-10-12T10:03:31.161971 ] DEBUG -- : verifying remote client 10.120.6.116 against trusted_hosts ["forem

an.rc.hms.harvard.edu"]

D, [2017-10-12T10:04:31.250257 ] DEBUG -- : accept: 10.120.6.116:42860

D, [2017-10-12T10:04:31.253078 ] DEBUG -- : Rack::Handler::WEBrick is invoked.

D, [2017-10-12T10:04:31.253677 ] DEBUG -- : verifying remote client 10.120.6.116 against trusted_hosts ["forem

an.rc.hms.harvard.edu"]

D, [2017-10-12T10:04:31.626205 ] DEBUG -- : Removed DHCP reservation for 10.120.33.13 => upgrade-test.rc.hms.h

arvard.edu (10.120.33.13 / 00:50:56:a0:27:5d)

D, [2017-10-12T10:04:31.626338 ] DEBUG -- : Restarting grid.

I, [2017-10-12T10:04:35.225138 ]  INFO -- : Restarting Grid failed.

I, [2017-10-12T10:04:35.225645 ]  INFO -- : 10.120.6.116 - - [12/Oct/2017:10:04:35 -0400] "DELETE /dhcp/10.120

.33.0/00:50:56:a0:27:5d HTTP/1.1" 200 - 3.9721

D, [2017-10-12T10:04:35.227089 ] DEBUG -- : close: 10.120.6.116:42860

I, [2017-10-12T10:04:46.407181 ]  INFO -- : 10.120.6.116 - - [12/Oct/2017:10:04:46 -0400] "POST /dns/ HTTP/1.1

" 200 - 75.2454

D, [2017-10-12T10:04:46.407693 ] DEBUG -- : close: 10.120.6.116:42849

#5 - 10/12/2017 06:12 PM - Anonymous

- Status changed from New to Resolved

Things look ok on smart-proxy side (other than grid restart failures, which is a bit odd). Take a look at foreman log, it might have a clue for why you

are seeing failures. Please note that the main resource for support questions is #theforeman irc channel on freenode; try asking your question there.

I'm going to close this issue, as the smart-proxy problem you were experiencing has been resolved.

Files

smart_proxy_Oct10_17.log 18.2 KB 10/10/2017 Bhanu Prasad Ganguru
